Index: /ipk/source/picons_HD_astra19.2_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/picons_HD_astra19.2_1_0/CONTROL/preinst	(revision 3785)
+++ /ipk/source/picons_HD_astra19.2_1_0/CONTROL/preinst	(revision 3786)
@@ -18,20 +18,20 @@
 fi
 
-#if [ -e /etc/.fullusb ] || [ -e /etc/.usbimage ]; then
-#	echo "detected USB Image...."
-#	echo "ok..."
-#elif [ "$model" = "ufs912" ]; then
-#	echo "detected Boxtype : $model...."
-#	echo "ok..."
-#else
-#	if [ `ls -la /var/usr/local/share/enigma2 | grep "/var/swap/picon" | wc -l` -ge 1 ]; then
-#		echo "check ok installing to swapstick...."
-#	else
-#		echo "ERROR: this package won`t fit in your flash..."
-#		echo "...you need a swapstick to install the package on your $model...!"
-#		echo "aborting installation..."
-#		exit 1
-#	fi
-#fi
+if [ -e /etc/.fullusb ] || [ -e /etc/.usbimage ]; then
+	echo "detected USB Image...."
+	echo "ok..."
+elif [ "$model" = "ufs912" ]; then
+	echo "detected Boxtype : $model...."
+	echo "ok..."
+else
+	if [ `ls -la /var/usr/local/share/enigma2 | grep "/var/swap/picon" | wc -l` -ge 1 ]; then
+		echo "check ok...installing to swapstick...."
+	else
+		echo "ERROR: this package will not fit in your flash..."
+		echo "...you need a swapstick to install the package on your $model...!"
+		echo "aborting installation..."
+		exit 1
+	fi
+fi
 
 echo "installing hd picons for Astra 19.2..."
